| IITkaGyan v0.9 A platform for students to ask their doubts to IITians directly...

Classes | Functions | Variables
gyans.views Namespace Reference

## Classes
class | AnswerCreate
class | AnswerListView
class | CommentCreate
class | DownvoteCreate
class | MyQuestionListView
class | QuestionCreate
class | QuestionDetailView
class | QuestionListView
class | UpdateAnswer
class | UpdateQuestion
class | UpvoteCreate

## Functions
def | home (request)
def | iitiandashboard (request)
def | normaldashboard (request)
def | about (request)

## Variables
list | decorators = [never_cache,]
| no_cache
| True
| must_revalidate
| no_store

## Function Documentation

## ◆ about()

def gyans.views.about | ( |  | request | ) |

    View for the about page when user is not logged in.

## ◆ home()

def gyans.views.home | ( |  | request | ) |

    View for the home page when user is not logged in, otherwise redirect to the correct dashboard.

## ◆ iitiandashboard()

def gyans.views.iitiandashboard | ( |  | request | ) |

    View for the dashboard for the IITian user.

## ◆ normaldashboard()

def gyans.views.normaldashboard | ( |  | request | ) |

    View for the dashboard for the normal user.

## Variable Documentation

## ◆ decorators

list gyans.views.decorators = [never_cache,]

## ◆ must_revalidate

gyans.views.must_revalidate

## ◆ no_cache

gyans.views.no_cache

## ◆ no_store

gyans.views.no_store

## ◆ True

gyans.views.True